create_heatv1_module_resource:
  file.managed:
  - name: /srv/heat/env/template/heat_test_tempate.yml
  - source: salt://runtest/files/heat_test_tempate.yml
  - template: jinja
  - makedirs: true
  - mode: 644
  - user: root
  - group: root

heatv1_stack_create:
  module.run:
    - name: heatv1.stack_create
    - kwargs:
        cloud_name: admin_identity
        name: TestHeatStack
        template: heat_test_tempate.yml

heatv1_stack_list:
  module.run:
    - name: heatv1.stack_list
    - kwargs:
        cloud_name: admin_identity

heatv1_stack_show:
  module.run:
    - name: heatv1.stack_show
    - kwargs:
        cloud_name: admin_identity
        name: TestHeatStack

heatv1_stack_update:
  module.run:
    - name: heatv1.stack_update
    - kwargs:
        cloud_name: admin_identity
        name: TestHeatStack
        template: heat_test_tempate.yml

heatv1_stack_delete:
  module.run:
    - name: heatv1.stack_delete
    - kwargs:
        cloud_name: admin_identity
        name: TestHeatStack

remove_heatv1_module_resource:
  file.directory:
  - name: /srv/heat
  - clean: True

heatv1_service_list:
  module.run:
    - name: heatv1.service_list
    - kwargs:
        cloud_name: admin_identity
